Description

Currently class operations can only be allowed in an all-or-nothing manner, with the x capability.

It would be useful (for example for rbd layering) to allow access only to read class methods, since class methods are required to read

the rbd header.

Reads vs writes is a generally useful distinction that does not require more cumbersome management like #2472.

Associated revisions

Revision 135c85a4 - 10/02/2012 10:43 PM - Josh Durgin 

OSDCap: add separate caps for class read and class write

These are useful for rbd layering, since reading an rbd image

requires read-only class methods.

Fixes: #3167

Signed-off-by: Josh Durgin <josh.durgin@inktank.com>

History

#1 - 09/18/2012 02:23 PM - Josh Durgin

- translation missing: en.field_position set to 1

#2 - 09/28/2012 10:39 AM - Josh Durgin

- Category set to OSD

- Status changed from New to In Progress

- Assignee set to Josh Durgin

- Target version set to v0.54a

#3 - 10/01/2012 09:56 AM - Sage Weil

- Target version changed from v0.54a to v0.54b

- translation missing: en.field_position deleted (21)

- translation missing: en.field_position set to 1

#4 - 10/01/2012 09:57 AM - Sage Weil

- translation missing: en.field_story_points set to 5

- translation missing: en.field_position deleted (7)
- translation missing: en.field_position set to 7

#5 - 10/01/2012 11:13 AM - Josh Durgin

- Status changed from In Progress to Fix Under Review

#6 - 10/15/2012 02:15 PM - Sage Weil

- Status changed from Fix Under Review to Resolved

- translation missing: en.field_position deleted (8)

- translation missing: en.field_position set to 8
